/*
 * @Description: file content
 * @Author: Ben Lin
 * @version: 
 * @Date: 2024-06-13 10:59:53
 * @LastEditors: your name
 * @LastEditTime: 2024-06-13 20:23:02
 */
import { firstColumns, firstFormSchemas, firstSearchForm, secondColumns, secondFormSchemas } from "./basLabelVar";
import { BasicColumn, FormSchema } from "/@/components/Table";

/**
 * @description: 获取表格字段
 * @param {string} entityName
 * @param {string} type
 * @return {*}
 */
export function GetBaseColumns(entityName: string, type: string) {
    let data: BasicColumn[] = [];
    switch (entityName) {
        case 'BAS_LABEL_VAR':
            data =type=='detailfirst'? firstColumns: secondColumns;
            break;
        default:
            break;
    }
    return data;
}

/**
 * @description: 获取增删改表单字段
 * @param {string} entityName
 * @param {string} type
 * @return {*}
 */
export function GetFormColumns(entityName: string, type: string) {
    let data: FormSchema[] = [];
    switch (entityName) {
        case 'BAS_LABEL_VAR':
            data =type=='detailfirst'? firstFormSchemas: secondFormSchemas;
            break;
        default:
            break;
    }
    return data;
}

/**
 * @description: 获取查询表单字段
 * @param {string} entityName
 * @param {string} type
 * @return {*}
 */
export function GetSearchFormColumns(entityName: string, type: string) {
    let data: FormSchema[] = [];
    switch (entityName) {
        case 'BAS_LABEL_VAR':
            data =type=='detailfirst'? firstSearchForm: secondFormSchemas;
            break;
        default:
            break;
    }
    return data;
}